org.hibernate.validator.internal.metadata.descriptor

## Class BeanDescriptorImpl

- java.lang.Object
- - org.hibernate.validator.internal.metadata.descriptor.ElementDescriptorImpl
  - - org.hibernate.validator.internal.metadata.descriptor.BeanDescriptorImpl

- All Implemented Interfaces:
    Serializable, BeanDescriptor, ElementDescriptor

      public class BeanDescriptorImpl
      extends ElementDescriptorImpl
      implements BeanDescriptor

  Describes a validated bean.
  Author:
    Emmanuel Bernard, Hardy Ferentschik, Gunnar Morling
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface javax.validation.metadata.ElementDescriptor

      `ElementDescriptor.ConstraintFinder`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BeanDescriptorImpl(Type beanClass, Set<ConstraintDescriptorImpl<?>> classLevelConstraints, Map<String,PropertyDescriptor> constrainedProperties, Map<String,ExecutableDescriptorImpl> constrainedMethods, Map<String,ConstructorDescriptor> constrainedConstructors, boolean defaultGroupSequenceRedefined, List<Class<?>> defaultGroupSequence)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Set<ConstructorDescriptor>` | `getConstrainedConstructors()`
    `Set<MethodDescriptor>` | `getConstrainedMethods(MethodType methodType, MethodType... methodTypes)`
    `Set<PropertyDescriptor>` | `getConstrainedProperties()`
    `ConstructorDescriptor` | `getConstraintsForConstructor(Class<?>... parameterTypes)`
    `MethodDescriptor` | `getConstraintsForMethod(String methodName, Class<?>... parameterTypes)`
    `PropertyDescriptor` | `getConstraintsForProperty(String propertyName)`
    `boolean` | `isBeanConstrained()`
    `String` | `toString()`

    - ### Methods inherited from class org.hibernate.validator.internal.metadata.descriptor.ElementDescriptorImpl

      `findConstraints, getConstraintDescriptors, getElementClass, hasConstraints`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface javax.validation.metadata.ElementDescriptor

      `findConstraints, getConstraintDescriptors, getElementClass, hasConstraints`

- - ### Constructor Detail

    - #### BeanDescriptorImpl

          public BeanDescriptorImpl(Type beanClass,
                            Set<ConstraintDescriptorImpl<?>> classLevelConstraints,
                            Map<String,PropertyDescriptor> constrainedProperties,
                            Map<String,ExecutableDescriptorImpl> constrainedMethods,
                            Map<String,ConstructorDescriptor> constrainedConstructors,
                            boolean defaultGroupSequenceRedefined,
                            List<Class<?>> defaultGroupSequence)

  - ### Method Detail

    - #### isBeanConstrained

          public final boolean isBeanConstrained()

      Specified by:
        `isBeanConstrained` in interface `BeanDescriptor`

    - #### getConstraintsForProperty

          public final PropertyDescriptor getConstraintsForProperty(String propertyName)

      Specified by:
        `getConstraintsForProperty` in interface `BeanDescriptor`

    - #### getConstrainedProperties

          public final Set<PropertyDescriptor> getConstrainedProperties()

      Specified by:
        `getConstrainedProperties` in interface `BeanDescriptor`

    - #### getConstraintsForConstructor

          public ConstructorDescriptor getConstraintsForConstructor(Class<?>... parameterTypes)

      Specified by:
        `getConstraintsForConstructor` in interface `BeanDescriptor`

    - #### getConstrainedConstructors

          public Set<ConstructorDescriptor> getConstrainedConstructors()

      Specified by:
        `getConstrainedConstructors` in interface `BeanDescriptor`

    - #### getConstrainedMethods

          public Set<MethodDescriptor> getConstrainedMethods(MethodType methodType,
                                                    MethodType... methodTypes)

      Specified by:
        `getConstrainedMethods` in interface `BeanDescriptor`

    - #### getConstraintsForMethod

          public MethodDescriptor getConstraintsForMethod(String methodName,
                                                 Class<?>... parameterTypes)

      Specified by:
        `getConstraintsForMethod` in interface `BeanDescriptor`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2007-2014 Red Hat, Inc. All Rights Reserved